Subject: Re: [PATCH 3/3] [POWERPC] Add docs for Freescale DMA & DMA channel device tree nodes

From: Timur Tabi <[email-masked]>
Date: Wed, 21 Nov 2007 18:51:58 -0600

David Gibson wrote:

> Indeed, indexing or writing into shared registers is exactly what
> cell-index is for.

I don't care whether it's cell-index or device-id, but I need to know which 
DMA controller is #0 and which one is #1, and I need to know which channel is 
#0, which one is #1, etc.  Dividing register offsets by 0x80 is not 
acceptable, because what if we have an elo-plus-plus that has 0x100 bytes per 
register, where the additional 0x20 bytes are for enhanced features?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale